## org.apache.myfaces.config.impl.digester.elements
Class RenderKit

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.RenderKit

public class RenderKit
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`RenderKit()`

Method Summary
`void` `addRenderer(Renderer value)`
`java.lang.String` `getId()`
`java.util.List` `getRenderer()`
`java.lang.String` `getRenderKitClass()`
`void` `merge(RenderKit renderKit)`
`void` `setId(java.lang.String id)`
`void` `setRenderKitClass(java.lang.String renderKitClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderKit

    public RenderKit()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getRenderKitClass

    public java.lang.String getRenderKitClass()

### setRenderKitClass

    public void setRenderKitClass(java.lang.String renderKitClass)

### getRenderer

    public java.util.List getRenderer()

### addRenderer

    public void addRenderer(Renderer value)

### merge

    public void merge(RenderKit renderKit)